org.hibernate.search.annotations

## Enum FacetEncodingType

- java.lang.Object
- - java.lang.Enum<FacetEncodingType>
  - - org.hibernate.search.annotations.FacetEncodingType

- All Implemented Interfaces:
    Serializable, Comparable<FacetEncodingType>

      public enum FacetEncodingType
      extends Enum<FacetEncodingType>

  Determines how to encode the indexed value.
  Author:
    Hardy Ferentschik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` The encoding type for the facet is determined by the type of the entity property
    `DOUBLE` Facet values are stored as double values using `DoubleDocValuesField`
    `LONG` Facet values are stored as long values using `NumericDocValuesField`
    `STRING` Facet values are stored as strings using `SortedSetDocValuesFacetField`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FacetEncodingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FacetEncodingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final FacetEncodingType STRING

      Facet values are stored as strings using `SortedSetDocValuesFacetField`

    - #### LONG

          public static final FacetEncodingType LONG

      Facet values are stored as long values using `NumericDocValuesField`

    - #### DOUBLE

          public static final FacetEncodingType DOUBLE

      Facet values are stored as double values using `DoubleDocValuesField`

    - #### AUTO

          public static final FacetEncodingType AUTO

      The encoding type for the facet is determined by the type of the entity property

  - ### Method Detail

    - #### values

          public static FacetEncodingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FacetEncodingType c : FacetEncodingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FacetEncodingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved